kyle = {}

function kyle:load()
    self.speed = 200
    self.spriteSheet = love.graphics.newImage("src/img/kyleMovement.png")
    self.grid = anim8.newGrid(465, 581, self.spriteSheet:getWidth(), self.spriteSheet:getHeight() )
    self.animations = {}
    self.animations.idle = anim8.newAnimation(self.grid("1-3", 1), 0.2)
    self.animations.walk = anim8.newAnimation(self.grid("1-3", 3), 0.2)
    self.anim = self.animations.walk
    self.collider = world:newRectangleCollider(40, 40, 40, 40)
    self.collider:setFixedRotation(true)
    self.collider:setCollisionClass("kyle")
    self.grounded = false
end

function kyle:keypressed(key)
    if key == "space" and self.grounded == true then
        self.collider:applyLinearImpulse(0, -100000)
    end
end

function kyle:draw()
    
end

function kyle:update(dt)
    px = 0
    py = 0

    if self.grounded == false then
        --py = self.speed * 50 * dt
    end

    -- look for ground
    local g = world:queryCircleArea(self.collider:getX(), self.collider:getY() + 6, 20)
    for _,col in ipairs(g) do
        if col.collision_class == "collider" then
            self.grounded = true
        else
            self.grounded = false
        end
    end
    -- moving left
    if love.keyboard.isDown("a") then
        px = self.speed * -1
    end
    -- moving right
    if love.keyboard.isDown("d") then
        px = self.speed * 1
    end

    self.collider:setLinearVelocity(px, py)
end
